> ## Documentation Index
> Fetch the complete documentation index at: https://developers.partoo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Suggested additional categories

> This endpoint lets you retrieve Partoo's suggestions for additional categories, based on a given category.




## OpenAPI

````yaml /assets/openapi/openapi-bundled.yaml get /categories/{category_id}/suggestions
openapi: 3.1.0
info:
  title: Partoo Rest API
  version: v2
  license:
    name: © Copyright Partoo
    url: https://www.partoo.co/en/gtu-api/
  x-logo:
    url: >-
      https://partoo-client-images.s3.amazonaws.com/logo-partoo-restapi-white.png
  description: >
    ## Introduction

    The Partoo Rest API allows you to automate all the actions that are possible
    to do in the Partoo Web Application.


    The Partoo Rest API can be used for many different purposes:
      - Create/update/delete your businesses & users if you are a client.
      - Create/subscribe/manage organizations, businesses & users if you are a reseller.
      - Retrieve data on businesses you have access to if you are a publisher.
      - ...
servers:
  - url: https://api.partoo.co/v2
    description: Production server
  - url: https://api.sandbox.partoo.co/v2
    description: Sandbox server (dev environment for clients & partners)
security:
  - ApiKeyAuth: []
paths:
  /categories/{category_id}/suggestions:
    get:
      tags:
        - Categories
      summary: Suggested additional categories
      description: >
        This endpoint lets you retrieve Partoo's suggestions for additional
        categories, based on a given category.
      operationId: getSuggestedCategories
      parameters:
        - in: path
          required: true
          name: category_id
          schema:
            $ref: '#/components/schemas/CategoryId'
        - $ref: '#/components/parameters/query_category_lang'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  categories:
                    type: array
                    items:
                      $ref: '#/components/schemas/SuggestedAdditionalCategoriesObject'
                    example:
                      - id: 7984
                        gmb_id: gcid:atm
                        name: ATM
                        state: OK
                        block_push_long_description_on_gmb: false
                        live_id: null
                      - id: 4917
                        gmb_id: gcid:savings_bank
                        name: Savings bank
                        state: OK
                        block_push_long_description_on_gmb: false
                        live_id: null
                      - id: 5742
                        gmb_id: gcid:home_insurance_agency
                        name: Home insurance agency
                        state: OK
                        block_push_long_description_on_gmb: false
                        live_id: null
                      - id: 6678
                        gmb_id: gcid:auto_insurance_agency
                        name: Auto insurance agency
                        state: OK
                        block_push_long_description_on_gmb: false
                        live_id: null
                      - id: 5520
                        gmb_id: gcid:life_insurance_agency
                        name: Life insurance agency
                        state: OK
                        block_push_long_description_on_gmb: false
                        live_id: null
                      - id: 5339
                        gmb_id: gcid:motorcycle_insurance_agency
                        name: Motorcycle insurance agency
                        state: OK
                        block_push_long_description_on_gmb: false
                        live_id: null
                      - id: 7133
                        gmb_id: gcid:insurance_agency
                        name: Insurance agency
                        state: OK
                        block_push_long_description_on_gmb: false
                        live_id: null
                      - id: 7012
                        gmb_id: gcid:investment_service
                        name: Investment service
                        state: OK
                        block_push_long_description_on_gmb: false
                        live_id: null
                      - id: 6026
                        gmb_id: gcid:financial_consultant
                        name: Financial consultant
                        state: OK
                        block_push_long_description_on_gmb: false
                        live_id: null
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '404':
          $ref: '#/components/responses/404'
components:
  schemas:
    CategoryId:
      oneOf:
        - type: integer
          description: Category id
        - type: string
          description: Google's category id
      description: Category id or Google's category id
      example: 5706 or gcid:bank
    SuggestedAdditionalCategoriesObject:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/CategorySqlId'
        gmb_id:
          $ref: '#/components/schemas/CategorySqlGmbId'
        name:
          $ref: '#/components/schemas/CategoryName'
        state:
          $ref: '#/components/schemas/CategorySqlState'
        block_push_long_description_on_gmb:
          $ref: '#/components/schemas/CategorySqlBlockPushLong'
        live_id:
          $ref: '#/components/schemas/CategorySqlLiveId'
    Lang:
      description: Available language in the application
      type: string
      enum:
        - fr
        - en
        - es
        - it
        - pt-br
        - de
        - ar
        - nl
        - pl
        - cs
        - ca
        - sk
        - pt
        - lv
        - ro
        - bg
        - hu
      example: fr
    CategorySqlId:
      type: integer
      description: Category id
      example: 42
    CategorySqlGmbId:
      type: string
      description: >
        Unique category id. This is the id you should pass in
        business.categories array when creating/updating a business
      example: gcid:climbing_gym
    CategoryName:
      type: string
      description: Category name in given language or user's language
      example: Cabinet d'expertise comptable
    CategorySqlState:
      type: string
      description: State of category ( OK or DEPRECATED )
      example: OK
    CategorySqlBlockPushLong:
      type: boolean
      description: >-
        Boolean indicating if the business long description can be pushed to
        Google when the business belongs to this category
      example: false
    CategorySqlLiveId:
      type:
        - string
        - 'null'
      description: >-
        Live category id to which the category is mapped (deprecated categories
        are mapped to the closest category)
      example: gcid:sport_club
  parameters:
    query_category_lang:
      in: query
      name: lang
      required: false
      schema:
        $ref: '#/components/schemas/Lang'
      description: >
        Language to get the category name. If not given, the user's language is
        used.
  responses:
    '400':
      description: Your request is incorrect
      content:
        application/json:
          schema:
            description: |
              Error that occcurs when your request is incorrect
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  json:
                    type: object
    '401':
      description: You are not authenticated
      content:
        application/json:
          schema:
            description: Error that occurs when you are not authenticated
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authentication:
                    type: string
                    default: User not authenticated
    '404':
      description: Resource does not exist
      content:
        application/json:
          schema:
            description: >-
              Error that occcurs when you are trying to reach a resource that
              does not exist
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  json:
                    type: string
                    default: Resource not found
  securitySchemes:
    ApiKeyAuth:
      description: >
        The authentication system on Partoo API is using API Key that should be
        put in the header of the request (the name of the header is `x-APIKey`).
        An api_key is linked to a user. This user's role will give you different
        access level to the API features.
      type: apiKey
      in: header
      name: x-APIKey

````